Bug 679523 (CVE-2011-1058) - CVE-2011-1058 MoinMoin: XSS in the rst parser
Summary: CVE-2011-1058 MoinMoin: XSS in the rst parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1058
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 679524
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-22 19:30 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 10:23:34 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-22 19:30:12 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1058 to
the following vulnerability:

Cross-site scripting (XSS) vulnerability in the rst parser in
parser/text_rst.py in MoinMoin before 1.9.3, when docutils is
installed or when "format rst" is set, allows remote attackers to
inject arbitrary web script or HTML via a javascript: URL.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1058
[2] http://moinmo.in/SecurityFixes

Relevant changeset:
[3] http://hg.moinmo.in/moin/1.9/rev/97208f67798f

Comment 1 Jan Lieskovsky 2011-02-22 19:32:05 UTC
This issue affects the versions of the moin package, as shipped with
Fedora release of 13 and 14.

Please schedule an update.

--

This issue did NOT affect the versions of the moin package, as present
within EPEL-4 and EPEL-5 repositories.

Comment 2 Jan Lieskovsky 2011-02-22 19:32:48 UTC
Created moin tracking bugs for this issue

Affects: fedora-all [bug 679524]

Comment 3 Ville-Pekka Vainio 2011-02-26 22:19:10 UTC
Updates are in testing, for example https://admin.fedoraproject.org/updates/moin-1.9.3-4.fc13

Comment 4 Ville-Pekka Vainio 2011-03-10 10:23:34 UTC
Updates are in stable now, closing.


Note You need to log in before you can comment on or make changes to this bug.